// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_FNumericProperty.h"
#include "SCW_FProperty.h"

class FNumericProperty;

namespace Sourcify
{
	class SCW_FNumericProperty : public SCW_FProperty, public virtual ISCW_FNumericProperty
	{
	public:
		SCW_FNumericProperty(FNumericProperty* InNumericProperty);

		bool IsFloatingPoint() const override;

		bool IsInteger() const override;

		FNumericProperty* ToFNumericProperty() const;

	protected:
		FNumericProperty* NumericProperty;
	};
} // namespace Sourcify